APTITUDE-RUN-STATE(1)

NOME
aptitude-run-state-bundle - spacchetta un archivio dello stato di aptitude e invoca il comando aptitude su di esso

SINOSSI

aptitude-run-state-bundle [<opzioni>...] <file-di-input> [<programma> [<argomenti>...]]

DESCRIZIONE

    Nota

    Questo comando è per lo più ad uso interno e per le segnalazioni di bug in casi eccezionali; non è pensato per gli utenti finali in circostanze normali.

aptitude-run-state-bundle spacchetta l'archivio dello stato di aptitude specificato, creato con aptitude-create-state-bundle(1), in una directory temporanea, invoca <programma> su di esso con gli <argomenti> specificati e rimuove successivamente la directory temporanea. Se <programma> non è specificato, viene usato il valore predefinito aptitude(8).

OPZIONI

Nella riga di comando possono essere usate le seguenti opzioni prima del file di input. Le opzioni che seguono il file di input sono considerate come argomenti di aptitude.

--append-args
    Mette le opzioni che indicano la posizione dell'archivio dello stato alla fine della riga di comando usata per invocare <programma>, invece che all'inizio (il comportamento predefinito è quello di mettere le opzioni all'inizio).

--help
    Visualizza un breve riassunto dell'uso.

--prepend-args
    Mette le opzioni che indicano la posizione dell'archivio dello stato all'inizio della riga di comando usata per invocare <programma>, ignorando qualsiasi opzione --append-args precedente (il comportamento predefinito è quello di mettere le opzioni all'inizio).

--no-clean
    Non rimuove la directory in cui viene spacchettato lo stato dopo aver eseguito aptitude. Si può volere usare questa opzione se, ad esempio, si sta facendo il debug di un problema che sembra verificarsi quando viene modificato il file di stato di aptitude. Quando l'esecuzione di aptitude è terminata, viene mostrato il nome della directory di stato in modo da potervi accedere in futuro.

    Questa opzione viene automaticamente abilitata da --statedir.

--really-clean
    Elimina la directory di stato dopo l'esecuzione di aptitude, anche se è stato specificato --no-clean o --statedir.

--statedir
    Invece di trattare il file di input come un archivio di stato, lo tratta come un archivio di stato spacchettato. Può essere usata, per esempio, per accedere alla directory di stato che è stata creata in un'esecuzione precedente con --no-clean.

--unpack
    Spacchetta il file di input in una directory temporanea, ma non esegue veramente aptitude.

VEDERE ANCHE

aptitude-create-state-bundle(1), aptitude(8), apt(8)

AUTORI

Daniel Burrows <dburrows@debian.org>
    Autore principale del documento.

Manuel A. Fernandez Montecelo <mafm@debian.org>
    Manutentore principale dopo Daniel Burrows, documentazione sulle nuove funzionalità, correzioni e formattazione.

DIRITTO D'AUTORE

Copyright 2007 Daniel Burrows.

Questa pagina di manuale è software libero; è possibile ridistribuirla e/o modificarla secondo i termini della licenza GNU General Public License, come pubblicata dalla Free Software Foundation nella versione 2 della licenza, o (a scelta) una versione più recente.

Questa pagina di manuale è distribuita nella speranza che sia utile, ma SENZA ALCUNA GARANZIA, nemmeno la garanzia implicita di COMMERCIABILITÀ o APPLICABILITÀ PER UNO SCOPO PARTICOLARE. Per maggiori dettagli vere la GNU General Public License.

Insieme a questo programma dovrebbe essere stata fornita una copia della GNU General Public License; se così non fosse, scrivere alla: Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02111-1301, USA.